<template>
  <div>
    <h1>The Great
      <br>
      <span id="colorDisplay">RGB</span>
      <br>
      Color Game</h1>

    <div id="stripe">
      <button id="resetBtn" v-on:click='restartGame'>New Colors</button>
      <span id="message"></span>
      <button id="ez" v-on:click="modeSet" :class="{selected: !difficult}">Easy</button>
      <button id="hrd" v-on:click="modeSet" :class="{selected: difficult}">Hard</button>
    </div>

    <div id="container">
      <div class="square"></div>
      <div class="square"></div>
      <div class="square"></div>
      <div class="square"></div>
      <div class="square"></div>
      <div class="square"></div>
    </div>
  </div>
</template>

<script>
    export default {
        name: "Game",
      data () {
          return {
            difficult: false
          }
      },
      methods: {
          modeSet: function (event) {
            this.difficult = event.target.id === 'hrd'
            console.log(this.difficult)
          },
          restartGame: function () {

          }

      }
    }
</script>

<style scoped>

  body {
    background-color: #232323;
    margin: 0;
    font-family: "Avenir", "Montserrat";
  }

  .square
  {
    width: 30%;
    background: purple;
    padding-bottom: 30%;
    float: left;
    margin: 1.66%;
    border-radius: 10%;
  }

  #container {
    margin: 20px auto;
    max-width: 600px;

  }
  #stripe {
    background-color: white;
    height: 30px;
    text-align: center;
  }

  #colorDisplay {
    font-size: 200%;
  }

  #message {
    display: inline-block;
    width: 20%;
  }

  h1 {
    color: white;
    line-height: 1.1;
    text-align: center;
    font-weight: normal;
    background-color: steelblue;
    margin: 0;
    text-transform: uppercase;
    padding: 20px 0;
  }

  .selected
  {
    color: white;
    background-color: steelblue;
  }

  * {
    -webkit-transition: all 0.4s ease-out;
    -moz-transition: all 0.4s ease-out;
    -o-transition: all 0.4s ease-out;
    -ms-transition: all 0.4s ease-out;
    transition: all 0.4s ease-out;
  }

  button {
    border: none;
    background: none;
    text-transform: uppercase;
    height: 100%;
    font-weight: 700;
    color: steelblue;
    letter-spacing: 1px;
    font-size: inherit;
  }

  button:hover {
    color: white;
    background-color: steelblue;
  }

</style>
